# Method: projects.locations.versions.list

- [HTTP request](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.versions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.versions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.versions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.versions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.versions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.versions/list#body.ListAvailableVersionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.versions/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.versions/list#try-it)

Lists possible versions for Data Fusion instances in the specified project and location.

### HTTP request

`GET https://datafusion.googleapis.com/v1beta1/{parent=projects/*/locations/*}/versions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location for which to retrieve instance information in the format projects/{project}/locations/{location}. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. |
| `pageToken` | `string` The nextPageToken value to use if there are additional results to retrieve for this list request. |
| `latestPatchOnly` | `boolean` Whether or not to return the latest patch of every available minor version. If true, only the latest patch will be returned. Ex. if allowed versions is \[6.1.1, 6.1.2, 6.2.0\] then response will be \[6.1.2, 6.2.0\] |

### Request body

The request body must be empty.

### Response body

Response message for the list available versions request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "availableVersions": [ { object (`https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.instances#Version`) } ], "nextPageToken": string, "versions": [ { object (`https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.instances#Version`) } ] } ``` |

| Fields ||
|---|---|
| `availableVersions[] (deprecated)` | ``object (`https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.instances#Version`)`` > [!WARNING] > This item is deprecated! Represents a list of versions that are supported. Deprecated: Use versions field instead. |
| `nextPageToken` | `string` Token to retrieve the next page of results or empty if there are no more results in the list. |
| `versions[]` | ``object (`https://docs.cloud.google.com/data-fusion/docs/reference/rest/v1beta1/projects.locations.instances#Version`)`` Represents a list of all versions. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).